@tesak
Using your suggestion and a For Loop i was able to get the code work.
Here's the updated code in .catvbs
Language="VBSCRIPT"
Sub CATMain()
Set oProductDoc = CATIA.ActiveDocument
Set oProd = oProductDoc.Product
Set oDocs = CATIA.Documents
Set oSelection = CATIA.ActiveDocument.Selection...
Hi @tesak,
Thanks for your reply.
I get the following error on this line:
The object doesn't support this property or method.
Set oPart = oPartDoc.Part
Should I be declaring oPartDoc somewhere above?
Regards,
Hi everyone,
I have a basic vba question.
I recorded a macro in CATVBA that allows the user to select a specific CATPart in an assembly, I'm going to insert it in a GUI via VBA editor to make a Slider "graphical menu" to speed up process of going up and down the spec tree and to make it...
Hi jzecha,
Do you mean in a CATDrawing?
http://catiadoc.free.fr/online/draug_C2/draugbt0803.htm
http://catiadoc.free.fr/online/draug_C2/draugbt0802.htm
Or are you after a BoM in a CATProduct
Are you familiar with the Tooling Bill of Material in MTD?
Select Mold Tooling Design / Analyse /...
Do you mean use a macro? or could this be done with Knowledge?
Out of curiosity, you suggest that I should not use patterns, but can it be done with patterns?
I'd be satisfied if they become isolated right away after creation. So far the only real use I have for the replicated sliding bars is to apply Holes, TapHoles, DrillHoles and Pockets.
Hi,
Thank you for your suggestions.
I tried altering the PartNumber manually and with a macro but, because the CATParts are generated from a pattern, all of the PartNumbers are altered automatically.
I'm not familiar with Product Knowledgeware Template, and I've just recently started using...
Hi everyone,
I have this sliding bar that changes size and multiplies according to 2 patterns when the parameters: "Global Length"
and/or "Global Width" are greater than the parameters "Length" or "Width" in "Limits", it's size is also affected with gaps
that funtion in the same manner.
All...
Hi everyone,
I'm looking to make a macro to retieve information from a CATPArt and export it to Excel.
Basically what the Technological results does but properly.
I need to retrieve from a CATPart the Hole features:
Ref
X origin (according to the CATPart axis system)
Y origin (according to the...
@drewmumaw
I've looked at your thread but as i mentioned in my original post i don't know where or even what to include in my code.
Can you please help me?
Hi everyone,
I need to make a macro to alter the instance name of selected accessories in several assemblies and sub assemblies using input boxes in CATIA V5. i'm fairly new to CATIA and CATScript and need help with this macro because it doesn't work in sub assemblies.
Can someone please help...